[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TIPCClientComm.SendMessage

Send a message

## Declaration

Source position: simpleipc.pp line 247

`public procedure TIPCClientComm.SendMessage(`
`MsgType: TMessageType;`
`Stream: TStream`
`); virtual; abstract;`

## Arguments

`MsgType` |  | Type of message
`Stream` |  | Message data

## Description

SendMessage should deliver the message with type MsgType and data in Stream to the server. It should not return until the message was delivered.

## Errors

If the delivery of the message fails, an exception will be raised.